<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_78195d36f24aa953" . "00c8e1acf2678ff3" => base64_decode("YW4gZXhwcmVzc2lvbg" . "=="));
class ExpressionStatementNode extends StatementNode
{
    protected $node;
    public function __construct($_5c59c380aa5c5e5f18f039ad7757fe97)
    {
        $this->node = $_5c59c380aa5c5e5f18f039ad7757fe97;
    }
    
    
    
    
    public function Children() : array
    {
        return [$this->node];
    }
    public function Expression() : Node
    {
        return $this->node;
    }
    public function Name() : string
    {
        return $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_78195d36f24aa" . "95300c8e1acf26" . "78ff3"];
    }
}